<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>DataTables RowGroup Example</title>
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/rowgroup/1.1.1/css/rowGroup.dataTables.min.css">
    <script type="text/javascript" charset="utf8" src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.js"></script>
    <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/rowgroup/1.1.1/js/dataTables.rowGroup.min.js"></script>
</head>
<body>
    <table id="tbLineDocument" class="display" style="width:100%">
        <thead>
            <tr>
                <th>Item</th>
                <th>SKU</th>
                <th>Qty</th>
                <th>Cost</th>
                <th>CodeBar</th>
                <th>Dcto</th>
                <th>Subtotal</th>
                <th>Delivery</th>
                <th>Check</th>
            </tr>
        </thead>
        <tbody>
            <!-- Las filas se generarán dinámicamente con JavaScript -->
        </tbody>
    </table>

    <script>
        $(document).ready(function() {
            $('#tbLineDocument').DataTable({
                ajax: 'json.php',
                columns: [
                    { data: 'item' },
                    { data: 'sku' },
                    { data: 'qty' },
                    { data: 'cost' },
                    { data: 'codeBar' },
                    { data: 'dcto' },
                    { data: 'subtotal' },
                    { data: 'delivery' },
                    { data: 'check' }
                ],
                pageLength: 25,
                responsive: true,
                paging: true,
                searching: true,
                ordering: true,
                info: true,
                lengthChange: true,
                autoWidth: false,
                rowGroup: {
                    dataSrc: 'item', // Agrupar por la columna de ítem
                    startRender: function (rows, group) {
                        // Crear una fila de resumen
                        let totalQty = rows.nodes().to$().find('td:eq(2)').map(function () {
                            return parseFloat($(this).text()) || 0;
                        }).get().reduce(function (a, b) {
                            return a + b;
                        }, 0);

                        return $('<tr/>')
                            .append('<td colspan="9" class="group-summary">Resumen para ' + group + ' - Total Qty: ' + totalQty + '</td>');
                    }
                }
            });
        });
    </script>

    <style>
        .group-summary {
            font-weight: bold;
        }
    </style>
</body>
</html>
